com.streambase.sb.monitor

## Class ModuleInfo.QueueInfo

- java.lang.Object
- - com.streambase.sb.monitor.ModuleInfo.QueueInfo

- All Implemented Interfaces:
    Cloneable
  Enclosing class:
    ModuleInfo

      public static class ModuleInfo.QueueInfo
      extends Object
      implements Cloneable

  Information about a Queue between modules or containers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueInfo(String queueName)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `clear()` Reset the module info
    `Object` | `clone()`
    `boolean` | `equals(Object obj)`
    `int` | `getBatchLatency()` Return a moving average of the time (microseconds) for a batch of tuples to traverse the queue
    `int` | `getBatchProcessingTime()` Return the a moving average of the amount of time (microseconds) that it takes to process a batch of tuples.
    `long` | `getBatchSize()` Return a moving average of the size of a batch of tuples
    `int` | `getCurrentQueueLength()` Return the approximate number of tuples currently in this queue.
    `int` | `getMaxQueueLength()` Return the maximum numbers of tuples that this queue has ever seen.
    `String` | `getName()` Return the name of this queue.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueInfo

          QueueInfo(String queueName)

      Constructor
      Parameters:
        `queueName` - Queue name

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getMaxQueueLength

          public int getMaxQueueLength()

      Return the maximum numbers of tuples that this queue has ever seen.
      Returns:
        maximum number of tuples that this queue can contain

    - #### getCurrentQueueLength

          public int getCurrentQueueLength()

      Return the approximate number of tuples currently in this queue. This number is approximate since there can be multiple threads accessing the queue at the same time.
      Returns:
        the approximate number of tuples currently in the queue

    - #### getBatchProcessingTime

          public int getBatchProcessingTime()

      Return the a moving average of the amount of time (microseconds) that it takes to process a batch of tuples.
      Returns:
        amount of time (microseconds) that it takes to process a batch of tuples
      Since:
        6.3.10

    - #### getBatchLatency

          public int getBatchLatency()

      Return a moving average of the time (microseconds) for a batch of tuples to traverse the queue
      Returns:
        amount of time (microseconds) for a batch of tuples to traverse the queue
      Since:
        6.3.10

    - #### getBatchSize

          public long getBatchSize()

      Return a moving average of the size of a batch of tuples
      Returns:
        Return a moving average of the size of a batch of tuples
      Since:
        6.6.13

    - #### getName

          public String getName()

      Return the name of this queue. For queues between modules the name will be the name of the stream that is being enqueued into. For queues between containers the name will be the name of the container connection.
      Returns:
        the name of this queue

    - #### clear

          void clear()

      Reset the module info

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.